Slony-I REL_1_1_0 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# UPDATE FUNCTIONS

## Name

UPDATE FUNCTIONS -- Reload stored functions

## Synopsis

`UPDATE FUNCTIONS (options);`

## Description

Reloads stored functions for a node.

Reloads all stored procedure and function definitions in the Slony-I schema for the specified node. This command is usually part of the Slony-I software upgrade procedure.

`ID = ival`

  The node to refresh.

## Example

    UPDATE FUNCTIONS (
        ID = 3        # Update functions on node 3
    );

Prev | Home | Next
EXECUTE SCRIPT | Up | WAIT FOR EVENT